Skip to main content
`Ctrl`+`K`

# PetscBenchSetFromOptions

Sets options to a `PetscBench` using the options database

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchSetFromOptions(PetscBench bm)

Collective

## Input Parameter

- bm - the `PetscBench`

## See Also

`PetscBench`, `PetscBenchView()`, `PetscBenchRun()`, `PetscBenchCreate()`, `PetscBenchDestroy()`, `PetscBenchSetUp()`, `PetscBenchSetType()`, `PetscBenchSetSize()`, `PetscBenchGetSize()`

## Level

advanced

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all BM routines
Table of Contents for all manual pages
Index of all manual pages